Bug 1341651 - [abrt] xorg-x11-server-Xorg: Segmentation fault at address 0xa
Summary: [abrt] xorg-x11-server-Xorg: Segmentation fault at address 0xa
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6c59131cf80bfe375c5f20672eb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 12:25 UTC by icywind90
Modified: 2016-12-20 20:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:45:05 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (707 bytes, text/plain)
2016-06-01 12:25 UTC, icywind90
no flags Details
File: dmesg (74.61 KB, text/plain)
2016-06-01 12:25 UTC, icywind90
no flags Details
File: dso_list (239 bytes, text/plain)
2016-06-01 12:25 UTC, icywind90
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (334 bytes, application/octet-stream)
2016-06-01 12:25 UTC, icywind90
no flags Details
File: usr_share_xorg_conf_d.tar.gz (2.35 KB, application/octet-stream)
2016-06-01 12:25 UTC, icywind90
no flags Details

Description icywind90 2016-06-01 12:25:48 UTC
Description of problem:
I don't know what caused it. I was just using LibreOffice Calc, there was also wine Battle.net running in the background. 

Version-Release number of selected component:
xorg-x11-server-Xorg-1.18.3-2.fc23

Additional info:
reporter:       libreport-2.6.4
executable:     /usr/bin/Xorg
kernel:         4.4.9-300.fc23.x86_64
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x597889]
1: /lib64/libc.so.6 (__restore_rt+0x0) [0x7f9c1196daaf]
2: /lib64/libpixman-1.so.0 (pixman_region_copy+0x89) [0x7f9c12abc2b9]
3: /usr/libexec/Xorg (miDestroyPicture+0x490) [0x5083e0]
4: /usr/libexec/Xorg (miTriangleBounds+0x10bb) [0x50b65b]
5: /usr/libexec/Xorg (ValidatePicture+0x9) [0x50c3b9]
6: /usr/libexec/Xorg (CompositeTrapezoids+0x67) [0x50c887]
7: /usr/libexec/Xorg (AddTraps+0x4cf2) [0x516422]
8: /usr/libexec/Xorg (SendErrorToClient+0x2df) [0x436a3f]
9: /usr/libexec/Xorg (remove_fs_handlers+0x453) [0x43aa53]
10: /lib64/libc.so.6 (__libc_start_main+0xf0) [0x7f9c11959580]
11: /usr/libexec/Xorg (_start+0x29) [0x424d99]
12: ? (?+0x29) [0x29]

Comment 1 icywind90 2016-06-01 12:25:50 UTC
Created attachment 1163629 [details]
File: backtrace

Comment 2 icywind90 2016-06-01 12:25:53 UTC
Created attachment 1163630 [details]
File: dmesg

Comment 3 icywind90 2016-06-01 12:25:54 UTC
Created attachment 1163631 [details]
File: dso_list

Comment 4 icywind90 2016-06-01 12:25:55 UTC
Created attachment 1163632 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 5 icywind90 2016-06-01 12:25:57 UTC
Created attachment 1163633 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 6 Fedora End Of Life 2016-11-25 09:11:09 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2016-12-20 20:45:05 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.